#*
#*
#* Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
#* 
#* 
#*  Redistribution and use in source and binary forms, with or without 
#*  modification, are permitted provided that the following conditions 
#*  are met:
#*
#*    Redistributions of source code must retain the above copyright 
#*    notice, this list of conditions and the following disclaimer.
#*
#*    Redistributions in binary form must reproduce the above copyright
#*    notice, this list of conditions and the following disclaimer in the 
#*    documentation and/or other materials provided with the   
#*    distribution.
#*
#*    Neither the name of Texas Instruments Incorporated nor the names of
#*    its contributors may be used to endorse or promote products derived
#*    from this software without specific prior written permission.
#*
#*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
#*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
#*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
#*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
#*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
#*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
#*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
#*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#*


################  c64xx+ compiler and options ##########################
debug_CC=cl6x
debug_CC_OPTS= -mv6400+ -mo -ml3 -pdr -pdv -q -k -g -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
debug_ASM=cl6x
debug_ASM_OPTS= -mv6400+ -pdr -pdv -q -g -mo -ml3 -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
debug_AR= ar6x
debug_AR_OPTS= r
debug_LNK= lnk6x
debug_LNK_OPTS= -q -c -w -x

release_CC=cl6x
release_CC_OPTS= -mv6400+ -mo -ml3 -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
release_ASM=cl6x
release_ASM_OPTS= -mv6400+ -mo -ml3 -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
release_AR= ar6x
release_AR_OPTS= r
release_LNK= lnk6x
release_LNK_OPTS= -q -c -w -x


LIB_NAME=csl_$(C64XX_DERIVATIVE)

CSL_LIB=$(LIB_NAME).lib

INTC_LIB=csl_c64xplus_intc.lib
RTS_LIB= rts64plus.lib
CSL_LIB_DIR= $(CSL3X_ROOT_DIR)
RTS_LIB_DIR= $(TI_DIR)\c6000\cgtools\lib


################ OS specific stuff ##########################
OSYS = WIN
WIN_RM_CMD=@erase /Q
WIN_COPY=copy
UNIX_RM_CMD=-\rm
UNIX_COPY=\cp

############  Generic #################

CC= $($(BUILD)_CC)
CC_OPTS= $($(BUILD)_CC_OPTS)
ASM= $($(BUILD)_ASM)
ASM_OPTS= $($(BUILD)_ASM_OPTS)
AR= $($(BUILD)_AR)
AR_OPTS= $($(BUILD)_AR_OPTS)
LNK= $($(BUILD)_LNK)
LNK_OPTS= $($(BUILD)_LNK_OPTS)
COPY= -@$($(OSYS)_COPY)
SRC_OPT= $($(BUILD)_SRC_OPT)

ifeq ($(BIG_ENDIAN), 1)
CC_OPTS += -me
ASM_OPTS += -me

LIB_NAME=csl_$(C64XX_DERIVATIVE)e
CSL_LIB=$(LIB_NAME).lib
INTC_LIB=csl_c64xplus_intce.lib
RTS_LIB= rts64pluse.lib
endif


LIB= $(CSL_LIB_DIR)\$(CSL_LIB) $(RTS_LIB_DIR)\$(RTS_LIB) $(CSL_LIB_DIR)\$(INTC_LIB)

RM_CMD= $($(OSYS)_RM_CMD)
