#*
#*
#* Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
#* 
#* 
#*  Redistribution and use in source and binary forms, with or without 
#*  modification, are permitted provided that the following conditions 
#*  are met:
#*
#*    Redistributions of source code must retain the above copyright 
#*    notice, this list of conditions and the following disclaimer.
#*
#*    Redistributions in binary form must reproduce the above copyright
#*    notice, this list of conditions and the following disclaimer in the 
#*    documentation and/or other materials provided with the   
#*    distribution.
#*
#*    Neither the name of Texas Instruments Incorporated nor the names of
#*    its contributors may be used to endorse or promote products derived
#*    from this software without specific prior written permission.
#*
#*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
#*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
#*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
#*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
#*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
#*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
#*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
#*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#*


########## Settings that change from one module to another ###########
TARGET=
CORE=
MODULE=
BUILD=
CGTOOLS=

###########################################
#Root Directories			#
###########################################
CSL3X_ROOT_DIR= /vobs/csl3x
MODULE_SRC_DIR= .
MODULE_INC_DIR= .
MODULE_OBJ_DIR= obj/$(CORE)/$(BUILD)
MODULE_LIB_NAME   = csl_$(TARGET)_$(MODULE)_$(CORE).lib
COMMON_INC_DIR= $(CSL3X_ROOT_DIR)/inc
LIB_DIR= obj

############Include the compiler options specific makefile.inc
include $(CSL3X_ROOT_DIR)/Makefile.inc

##########################################################
#Find C/Assembly Source Files					#
BADD_C_FILE=$(CSL3X_ROOT_DIR)/src/common/csl_$(MODULE)GetBaseAddress.c
BADD_OBJ_FILE=$(MODULE_OBJ_DIR)/csl_$(MODULE)GetBaseAddress.o
MODULE_C_FILES=$(wildcard *.c)
MODULE_ASM_FILES=$(wildcard *.asm)
###MODULE_ASM_FILES=$(wildcard $(CGTOOLS)/*.asm)
MODULE_C_OBJ_FILES=$(MODULE_C_FILES:%.c=$(MODULE_OBJ_DIR)/%.o)
###MODULE_ASM_OBJ_FILES=$(MODULE_ASM_FILES:$(CGTOOLS)\%.asm=$(MODULE_OBJ_DIR)/%.o)

MODULE_ASM_OBJ_FILES=$(MODULE_ASM_FILES:%.asm=$(MODULE_OBJ_DIR)/%.o)
MODULE_OBJ_FILES=$(MODULE_C_OBJ_FILES) $(MODULE_ASM_OBJ_FILES)

##########################################################
INC_DIR= -I$(MODULE_INC_DIR) -I$(COMMON_INC_DIR) -I$(CSL3X_ROOT_DIR)/../inc

